This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1463011 - Ability to customize terminal shell on web console.
Ability to customize terminal shell on web console.
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jessica Forrester
XiaochuanWang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 18:12 EDT by Ryan Howe
Modified: 2017-06-20 22:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2017-06-19 18:12:49 EDT
Proposed title of this feature request:

  Web console terminal shell customization. 

What is the nature and description of the request:
 
  - The ability to choose what shell is defaulted when using terminal from the web console. Currently the shell is `/bin/sh` and is hard coded. 

https://github.com/openshift/origin-web-console/blob/enterprise-3.6/app/views/browse/pod.html#L213

- Additionally, have it to run the login script, so a "-l"  added to the invocation of the login script we define.

Note You need to log in before you can comment on or make changes to this bug.